Bug 60059 - the permission of /var/log/maillog on 5.2 prevents /usr/ports/mail/mailgraph to read
Summary: the permission of /var/log/maillog on 5.2 prevents /usr/ports/mail/mailgraph ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-12-09 01:50 UTC by dhchen
Modified: 2003-12-28 08:01 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description dhchen 2003-12-09 01:50:03 UTC
In ver 1.35's /etc/newsyslog.conf, /var/log/maillog's permission is modified
from 0644 to 0640, but this modification prevents /usr/ports/mail/mailgraph
to read /var/log/maillog (it is run as www:www)

Fix: 

2 way to solve this problem:

1.chmod 0644 /var/log/maillog && vi /etc/newsyslog.conf

2.add user www to group wheel
How-To-Repeat: on 5.2(it seems all HEAD branches have the same problem):

cd /usr/ports/mail/mailgraph && make install clean
mv /usr/local/etc/rc.d/mailgraph.sh.sample /usr/local/etc/rc.d/mailgraph.sh
/usr/local/etc/rc.d/mailgraph.sh start
Comment 1 Jun Kuriyama freebsd_committer 2003-12-13 13:30:46 UTC
I think this should be treated by host's administrator, not by ports.
Comment 2 Pete Fritchman freebsd_committer 2003-12-21 05:12:22 UTC
State Changed
From-To: open->feedback

Would you like to propose a pkg-message to mention this to 
the admin?  Otherwise, I don't think there's anything else 
we can do in ports.
Comment 3 Jun Kuriyama freebsd_committer 2003-12-28 08:01:22 UTC
State Changed
From-To: feedback->closed

Add pkg-message to this port.